> For the complete documentation index, see [llms.txt](https://docs.pollenmobile.io/pollen-public-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pollenmobile.io/pollen-public-api/reference/api-reference/reward-logs.md).

# Reward Logs

### Wallet Rewards Range

## Fetch reward logs for a wallet address within date range.

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/wallet-rewards-range`

Defined date range or if no range is provided, from the last month.

Sort key ("date" or "device") places arrays of reward log rows into groups.

Paginated with `page_key`.

#### Query Parameters

| Name                                              | Type   | Description                            |
| ------------------------------------------------- | ------ | -------------------------------------- |
| wallet\_address<mark style="color:red;">\*</mark> | String | The wallet address you're looking for. |
| date\_from                                        | String | Date format YYYY-MM-DD                 |
| date\_to                                          | String | Date format YYYY-MM-DD                 |
| sort                                              | String | "date" or by "device" (default "date") |
| page\_key                                         | String | Page key from last request.            |

{% tabs %}
{% tab title="200: OK Example response" %}

```javascript
// example sorted by date...
{
	"items": [
		"2022-04-02": [
			{
				"reward": "hex validation",
				"coverage": [],
				"device": "MuddyStormyBumblebee",
				"PIC": "10",
				"transaction": "5gpDsyxfseJQXzeHYb5ZYfsNpkwh4cSKFfj7JhmM7oQXu1pSkNBfnbj8ZG5qWNU8qHdBvSZ8Jt5mhT2LKwiRv8r3",
				"date": "2022-04-02",
				"RSEratio": "1",
				"client": "UptightConfusedCamellia",
				"rewardID": "20220402PLLNOHVAGE",
				"device_type": "bumblebee",
				"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
				"tx_status": "Finalized",
				"PCN": "268.91358910003584",
				"dailyPIC": "11156"
			},
			// ... 23 more rows
		],
		"2022-04-03": [
			{
				"reward": "hex validation",
				"coverage": [],
				"device": "RareLooseBumblebee",
				"PIC": "10",
				"transaction": "4BjLqbAzofH5uoxCyeT3PDMob34tpokCmqkJ5LHfccToLk5atxerc4BUpCYwk8CBP7A2JGQJSiLSYu8f5AQnyrNy",
				"date": "2022-04-03",
				"RSEratio": "1",
				"client": "AbsentInternalCamellia",
				"rewardID": "20220403PLLNLUCRYT",
				"device_type": "bumblebee",
				"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
				"tx_status": "Finalized",
				"PCN": "241.70157911698357",
				"dailyPIC": "12412"
			},
			// ... 26 more rows
		],
		// dates all through 2022-06-02
	],
	// example page key
	"page_key": "%7B%22wallet%22%3A%20%224ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL%22%2C%20%22date%22%3A%20%222022-09-13%22%2C%20%22rewardID%22%3A%20%2220220913PLLN9911AA7E7630487EB880E7D21816C70C%22%7D"
}

// example sorted by device...
{
	"items": [
		"MuddyStormyBumblebee": [
		{
			"reward": "hex validation",
			"coverage": [],
			"device": "MuddyStormyBumblebee",
			"PIC": "10",
			"transaction": "5gpDsyxfseJQXzeHYb5ZYfsNpkwh4cSKFfj7JhmM7oQXu1pSkNBfnbj8ZG5qWNU8qHdBvSZ8Jt5mhT2LKwiRv8r3",
			"date": "2022-04-02",
			"RSEratio": "1",
			"client": "UptightConfusedCamellia",
			"rewardID": "20220402PLLNOHVAGE",
			"device_type": "bumblebee",
			"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
			"tx_status": "Finalized",
			"PCN": "268.91358910003584",
			"dailyPIC": "11156"
		},
			// ... 34 more rows for MuddyStormyBumblebee
		],
		"DecorousShakyCamellia": [
		{
			"reward": "hex validation",
			"coverage": [],
			"device": "DecorousShakyCamellia",
			"PIC": "40",
			"transaction": "51BYa8VC9ypoeWVRYLysKEsAWdx2eARk1C8rvMxdni5i9sZ7chYtENsNaiqXKBbWLa59K6xfmeb55Dr4z7BRJtGL",
			"date": "2022-04-02",
			"RSEratio": "1",
			"client": "RareLooseBumblebee",
			"rewardID": "20220402PLLNZVMWMU",
			"device_type": "flower",
			"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
			"tx_status": "Finalized",
			"PCN": "1075.6543564001433",
			"dailyPIC": "11156"
		},
			// ... 35 more rows for DecorousShakyCamellia
		]
	],
	// example page key
	"page_key": "%7B%22wallet%22%3A%20%224ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL%22%2C%20%22date%22%3A%20%222022-09-13%22%2C%20%22rewardID%22%3A%20%2220220913PLLN9911AA7E7630487EB880E7D21816C70C%22%7D"
}
```

{% endtab %}
{% endtabs %}

### Wallet Rewards All

## Fetch all reward logs for a wallet address.

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/wallet-rewards-all`

Sort key ("date" or "device") places arrays of reward log rows into groups.

Paginated with `page_key`.

#### Query Parameters

| Name                                              | Type   | Description                              |
| ------------------------------------------------- | ------ | ---------------------------------------- |
| wallet\_address<mark style="color:red;">\*</mark> | String |                                          |
| sort                                              | String | "date" or by "device" (default "device") |
| page\_key                                         | String | Page key from last request.              |

{% tabs %}
{% tab title="200: OK Example response" %}

```javascript
{
"items": [
    {
	"ThankfulSteepBumblebee": [
		{
			"reward": "hex validation",
			"coverage": [],
			"device": "ThankfulSteepBumblebee",
			"PIC": "1.3333333333333333",
			"transaction": "5gJ9e61ULJ9ekudgvyd7pX2RQ39VqenESdZeVQczHknPUwp3Yth8dSt1sfofjr9ZeKn2Lw6XEE7PUDE4M5BuZbyN",
			"date": "2022-03-18",
			"RSEratio": "1",
			"client": "AboardMistyCamellia",
			"rewardID": "20220318PLLNNQWVJD",
			"device_type": "bumblebee",
			"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
			"tx_status": "Finalized",
			"PCN": "50.45175107771317",
			"dailyPIC": "7928.367032967032"
		},
		// ... 47 more items for ThankfulSteepBumblebee
		],
	"MachoDeepBumblebee": [
		{
			"reward": "hex validation",
			"coverage": [],
			"device": "MachoDeepBumblebee",
			"PIC": "0.3076923076923077",
			"transaction": "5gJ9e61ULJ9ekudgvyd7pX2RQ39VqenESdZeVQczHknPUwp3Yth8dSt1sfofjr9ZeKn2Lw6XEE7PUDE4M5BuZbyN",
			"date": "2022-03-18",
			"RSEratio": "1",
			"client": "DirefulSedateCamellia",
			"rewardID": "20220318PLLNTTZKLY",
			"device_type": "bumblebee",
			"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
			"tx_status": "Finalized",
			"PCN": "11.642711787164577",
			"dailyPIC": "7928.367032967032"
		},
			// ... 47 more items for MachoDeepBumblebee
		],
	// ... all other devices
}
],
"page_key": // page key...
}
```

{% endtab %}
{% endtabs %}

### Device Rewards Range

## Fetch reward logs for a device within date range.

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/device-rewards-range`

Either with a defined range or if no range is provided, from the last month.

Sort key ("date" or "device") places arrays of reward log rows into groups.

Paginated with `page_key`.

#### Query Parameters

| Name                                     | Type   | Description                               |
| ---------------------------------------- | ------ | ----------------------------------------- |
| device<mark style="color:red;">\*</mark> | String | Any device wacky name.                    |
| date\_from                               | String | YYYY-MM-DD                                |
| date\_to                                 | String | YYYY-MM-DD                                |
| page\_key                                | Dict   | Pagination key returned from last request |
| sort                                     | String | "date" or by "device" (default "date")    |

{% tabs %}
{% tab title="200: OK Example response" %}

```javascript
{
"items": [
    "2022-06-01": [
		{
			"reward": "attach",
			"coverage": [],
			"device": "DecorousShakyCamellia",
			"PIC": "2.1697810459309665",
			"transaction": "38puNomhmgz9t7ZDHb8ipdTnYfstnkdZiHUXJ2WFzoXz5BxbWjiBAez7d7kmnnd93TdwBMQSWvfKJrfCnhrPpaeg",
			"date": "2022-06-01",
			"RSEratio": "1.0848905229654833",
			"client": "BlueRaspyBumblebee",
			"rewardID": "20220601PLLNAKAOYZ",
			"device_type": "flower",
			"tx_status": "Finalized",
			"wallet": "7uje77m8ZNZn2bJLGLTv1srVLvkWFnHeibRQFo32EJ76",
			"PCN": "23.047796740383035",
			"dailyPIC": "28242.800000000003"
		},
			// ... 2 more items
		],
	"2022-06-02": [
		{
			"reward": "attach",
			"coverage": [],
			"device": "DecorousShakyCamellia",
			"PIC": "2.0901945924176686",
			"transaction": "7s2Lr7E1nLSLPeBygDvQTmNbU4zjUiSBpkPSpGrjA6kbNyJTFuCqCcnLSu7VcoarpJg1EJnuHcJ7nyKj8ikVSvR",
			"date": "2022-06-02",
			"RSEratio": "1.0450972962088343",
			"client": "BlueRaspyBumblebee",
			"rewardID": "20220602PLLNDVZBAT",
			"device_type": "flower",
			"tx_status": "Finalized",
			"wallet": "7uje77m8ZNZn2bJLGLTv1srVLvkWFnHeibRQFo32EJ76",
			"PCN": "23.065517052007248",
			"dailyPIC": "27185.966666666664"
		},
			// ... 2 more items
		],
// ...
],
"page_key": // page key...
}
```

{% endtab %}
{% endtabs %}

### Device Rewards All

## Fetch all reward logs for a device.

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/device-rewards-all`

Sort key ("date" or "device") places arrays of reward log rows into groups.

Paginated with `page_key`.

#### Query Parameters

| Name                                     | Type   | Description                            |
| ---------------------------------------- | ------ | -------------------------------------- |
| device<mark style="color:red;">\*</mark> | String | Any device wacky name.                 |
| date                                     | String | Get for single day (optional)          |
| sort                                     | String | "date" or by "device" (default "date") |
| page\_key                                | String | Page key from last request.            |

{% tabs %}
{% tab title="200: OK Example response" %}

<pre class="language-javascript"><code class="lang-javascript">{
<strong>"items": {
</strong><strong>    "2022-03-31": [
</strong>		{
			"reward": "hex validation",
			"coverage": [],
			"device": "DecorousShakyCamellia",
			"PIC": "10",
			"transaction": "5VXyNhBbPsza7ZX67FeXoD9Fw1YdzJfC7R7NVykzjxojdeCpasYPotVF3xseciQotzYS9udh8Knge5wksPUDJ8wG",
			"date": "2022-03-31",
			"RSEratio": "1",
			"client": "TangibleCreepyBumblebee",
			"rewardID": "20220331PLLNAFKDFO",
			"device_type": "flower",
			"tx_status": "Finalized",
			"wallet": "4ieP9S21QTGGbgu57kP9R6MNTx34MLBTyMVHfz1ywxRL",
			"PCN": "387.4967708602428",
			"dailyPIC": "7742.000000000001"
		},
			// ... 1 more item
		],
// ... all dates until present
<strong>},
</strong><strong>"page_key": // page key...
</strong>}
</code></pre>

{% endtab %}
{% endtabs %}

### Ledger Rewards Range

## Fetch entire reward logs ledger for specific date.

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/ledger-rewards-date`

Paginated with `page_key.`

#### Query Parameters

| Name      | Type   | Description                   |
| --------- | ------ | ----------------------------- |
| date      | String | eg 2022-10-10                 |
| page\_key | String | Page key from last request.   |
| limit     | Number | Limit to pagination requests. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
	"items": [
		{
			"reward": "attach",
			"coverage": [],
			"device": "UnarmedMercifulMosoflower",
			"PIC": "3.0264775152350505",
			"transaction": "5hKt4HBN2DMyN4PjapUGuBoqyXAoQ6fhRfw785ozR2xyP15MZ7zGYdmLRYpYtYvGkzURhMYiY2rQc5AvWkzKa2tv",
			"date": "2022-10-10",
			"RSEratio": "1.5132387576175252",
			"client": "PenitentSnobbishBumblebee",
			"rewardID": "20221010PLLN00082149B9D24AB69842D582DDD23E94",
			"device_type": "flower",
			"tx_status": "Finalized",
			"wallet": "ENhpSLW6CpBxkmLNy1LVpNdYwBPYPSBV5H5J4aaYDVZM",
			"PCN": "7.6190476190476195",
			"dailyPIC": "119167.55216238012"
		},
		{
			"reward": "attach",
			"coverage": [],
			"device": "SadFertileDandelion",
			"PIC": "3.0264775152350505",
			"transaction": "3mChBsn1NVut3xUqY1BrMMie9CFRsFYtFR45BQBYYGwnWbZ5dEoe3yAr3nFzVKQxqGYk6jQn9oGzM1mNj1YBYN24",
			"date": "2022-10-10",
			"RSEratio": "1.5132387576175252",
			"client": "UnevenFlatBumblebee",
			"rewardID": "20221010PLLN000B7F056A084D118F74BB7EDEA39244",
			"device_type": "flower",
			"tx_status": "Finalized",
			"wallet": "36NPkrYNeQUmMxX949o3NJ2rQ2rF8DpXn1997Wia9cVW",
			"PCN": "7.6190476190476195",
			"dailyPIC": "119167.55216238012"
		},
		// ...
	],
	"page_key": "%7B%22date%22%3A%20%222022-10-10%22%2C%20%22rewardID%22%3A%20%2220221010PLLN01C15D56638147E2B27FF02BC65EE5F5%22%7D"
}
```

{% endtab %}
{% endtabs %}

### Daily Rewards Status

## For debugging - View daily status of attach, core, and honeybee logs. (Status, logs not included)

<mark style="color:blue;">`GET`</mark> `https://api.pollenmobile.io/explorer/daily-reward-status`

Paginated with `page_key`.

#### Path Parameters

| Name                                   | Type   | Description                 |
| -------------------------------------- | ------ | --------------------------- |
| date<mark style="color:red;">\*</mark> | String | eg "2022-07-17"             |
| device                                 | String | FranticGiantHoneybee        |
| page\_key                              | String | Page key from last request. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
    "items": [
    	{
		"date": "2022-07-17",
		"HoneybeeLogError": "No Matching Logs Found",
		"CoreLogsError": "No Attach Logs Found",
		"device": "FranticGiantHoneybee"
	}
    ],
    "page_key": // page key ...
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pollenmobile.io/pollen-public-api/reference/api-reference/reward-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
